## ros-lunar-planner-cspace 0.4.0

=== test/CMakeLists.txt ===
catkin_add_gtest(test_blockmem_gridmap src/test_blockmem_gridmap.cpp)
target_link_libraries(test_blockmem_gridmap ${catkin_LIBRARIES} ${Boost_LIBRARIES})

catkin_add_gtest(test_cyclic_vec src/test_cyclic_vec.cpp)
target_link_libraries(test_cyclic_vec ${catkin_LIBRARIES} ${Boost_LIBRARIES})

catkin_add_gtest(test_grid_metric_converter src/test_grid_metric_converter.cpp)
target_link_libraries(test_grid_metric_converter ${catkin_LIBRARIES} ${Boost_LIBRARIES})

catkin_add_gtest(test_motion_cache src/test_motion_cache.cpp)
target_link_libraries(test_motion_cache ${catkin_LIBRARIES} ${Boost_LIBRARIES})

if(PLANNER_CSPACE_PERFORMANCE_TESTS)

  catkin_add_gtest(test_blockmem_gridmap_performance src/test_blockmem_gridmap_performance.cpp)
  target_link_libraries(test_blockmem_gridmap_performance ${catkin_LIBRARIES} ${Boost_LIBRARIES})
  set_target_properties(test_blockmem_gridmap_performance PROPERTIES COMPILE_FLAGS "${CMAKE_CXX_FLAGS_RELEASE}") # Force release build for performance test.

else()

  message("To perform performance tests for planner_cspace, use -DPLANNER_CSPACE_PERFORMANCE_TESTS:=ON")

endif()

add_rostest_gtest(test_navigate
  test/navigation_rostest.test
  src/test_navigate.cpp
)
target_link_libraries(test_navigate ${catkin_LIBRARIES})
add_dependencies(test_navigate planner_3d)

add_rostest_gtest(test_navigate_compat
  test/navigation_compat_rostest.test
  src/test_navigate.cpp
)
target_link_libraries(test_navigate_compat ${catkin_LIBRARIES})
add_dependencies(test_navigate_compat planner_3d)

add_rostest_gtest(test_abort
  test/abort_rostest.test
  src/test_abort.cpp
)
target_link_libraries(test_abort ${catkin_LIBRARIES})
add_dependencies(test_abort planner_3d)

add_rostest_gtest(test_preempt
  test/preempt_rostest.test
  src/test_preempt.cpp
)
target_link_libraries(test_preempt ${catkin_LIBRARIES})
add_dependencies(test_preempt planner_3d)

add_rostest_gtest(test_costmap_watchdog
  test/costmap_watchdog_rostest.test
  src/test_costmap_watchdog.cpp
)
target_link_libraries(test_costmap_watchdog ${catkin_LIBRARIES})
add_dependencies(test_costmap_watchdog planner_3d)

=== debian/changelog ===
ros-lunar-planner-cspace (0.4.0-1stretch) stretch; urgency=high

  * planner_cspace: limit negative cost to avoid infinite search loop (#288 <https://github.com/at-wat/neonavigation/issues/288>)
  * trajectory_tracker: remove unused parameters (#274 <https://github.com/at-wat/neonavigation/issues/274>)
  * Support melodic (#266 <https://github.com/at-wat/neonavigation/issues/266>)
  * Contributors: Atsushi Watanabe, Yuta Koga

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Thu, 09 May 2019 00:00:00 -0000

ros-lunar-planner-cspace (0.3.1-1stretch) stretch; urgency=high

  * trajectory_tracker: support PathWithVelocity (#244 <https://github.com/at-wat/neonavigation/issues/244>)
  * planner_cspace: fix stability of test_costmap_watchdog (#242 <https://github.com/at-wat/neonavigation/issues/242>)
  * planner_cspace: add watchdog to costmap update (#235 <https://github.com/at-wat/neonavigation/issues/235>)
  * planner_cspace: add missing test dependencies (#234 <https://github.com/at-wat/neonavigation/issues/234>)
  * Fix pointer alignment style (#233 <https://github.com/at-wat/neonavigation/issues/233>)
  * Migrate tf to tf2 (#230 <https://github.com/at-wat/neonavigation/issues/230>)
  * planner_cspace: add diagnostics to planner node (#226 <https://github.com/at-wat/neonavigation/issues/226>)
  * planner_cspace: stop robot motion if new map received (#218 <https://github.com/at-wat/neonavigation/issues/218>)
  * planner_cspace: split grid-metric converter functions (#213 <https://github.com/at-wat/neonavigation/issues/213>)
  * planner_cspace: split motion cache class (#212 <https://github.com/at-wat/neonavigation/issues/212>)
  * planner_cspace: fix goal and start tolerance parameter (#211 <https://github.com/at-wat/neonavigation/issues/211>)
  * planner_cspace: add cost for turning near obstacles (#210 <https://github.com/at-wat/neonavigation/issues/210>)
  * Fix catkin package definitions (#206 <https://github.com/at-wat/neonavigation/issues/206>)
  * planner_cspace: use odometry position difference in jump detection (#205 <https://github.com/at-wat/neonavigation/issues/205>)
  * planner_cspace: refactoring (#204 <https://github.com/at-wat/neonavigation/issues/204>)
  * Contributors: Atsushi Watanabe, So Jomura, Yuta Koga

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Thu, 10 Jan 2019 00:00:00 -0000

ros-lunar-planner-cspace (0.2.3-1stretch) stretch; urgency=high

  * Fix test names (#202 <https://github.com/at-wat/neonavigation/issues/202>)
  * Contributors: Atsushi Watanabe

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Thu, 19 Jul 2018 00:00:00 -0000

ros-lunar-planner-cspace (0.2.2-1stretch) stretch; urgency=high



 -- Atsushi Watanabe <atsushi.w@ieee.org>  Tue, 17 Jul 2018 00:00:00 -0000

ros-lunar-planner-cspace (0.2.1-1stretch) stretch; urgency=high

  * Fix missing package dependencies (#194 <https://github.com/at-wat/neonavigation/issues/194>)
  * Contributors: Atsushi Watanabe

 -- Atsushi Watanabe <atsushi.w@ieee.org>  Sat, 14 Jul 2018 00:00:00 -0000

ros-lunar-planner-cspace (0.2.0-1stretch) stretch; urgency=high

  * planner_cspace: fix restriction of path segment connection (#191 <https://github.com/at-wat/neonavigation/issues/191>)
  * planner_cspace: fix boundary check (#190 <https://github.com/at-wat/neonavigation/issues/190>)
  * planner_cspace: fix unconverged switching back vibration (#183 <https://github.com/at-wat/neonavigation/issues/183>)
  * Reduce random test failure (#181 <https://github.com/at-wat/neonavigation/issues/181>)
  * Update CI (#179 <https://github.com/at-wat/neonavigation/issues/179>)
  * Fix cost in heuristic function for make_plan service (#178 <https://github.com/at-wat/neonavigation/issues/178>)
  * Fix namespace migration messages (#174 <https://github.com/at-wat/neonavigation/issues/174>)
  * planner_cspace: add make plan service (#169 <https://github.com/at-wat/neonavigation/issues/169>)
  * Fix topic/service namespace model (#168 <https://github.com/at-wat/neonavigation/issues/168>)
  * Fix package dependencies (#167 <https://github.com/at-wat/neonavigation/issues/167>)
  * Fix naming styles (#166 <https://github.com/at-wat/neonavigation/issues/166>)
  * Update package descriptions and unify license and version (#165 <https://github.com/at-wat/neonavigation/issues/165>)
  * Use neonavigation_msgs package (#164 <https://github.com/at-wat/neonavigation/issues/164>)
  * planner_cspace: fix clearing remembered costmap (#158 <https://github.com/at-wat/neonavigation/issues/158>)
  * planner_cspace: fix partial costmap update with unknown cells (#156 <https://github.com/at-wat/neonavigation/issues/156>)
  * planner_cspace: remember costmap using binary bayes filter (#149 <https://github.com/at-wat/neonavigation/issues/149>)
  * planner_cspace: fix position jump detection (#150 <https://github.com/at-wat/neonavigation/issues/150>)
  * planner_cspace: fix remembering costmap (#147 <https://github.com/at-wat/neonavigation/issues/147>)
  * planner_cspace: use frame_id of incoming message to set dummy robot pose (#145 <https://github.com/at-wat/neonavigation/issues/145>)
  * planner_cspace: add odom publisher to dummy robot (#143 <https://github.com/at-wat/neonavigation/issues/143>)
  * planner_cspace: add preempt (#137 <https://github.com/at-wat/neonavigation/issues/137>)
  * planner_cspace: minor optimizations (#129 <https://github.com/at-wat/neonavigation/issues/129>)
  * planner_cspace: disable performance test by default (#127 <https://github.com/at-wat/neonavigation/issues/127>)
  * planner_cspace: support parallel distance map search (#125 <https://github.com/at-wat/neonavigation/issues/125>)
  * planner_cspace: support parallel aster search (#118 <https://github.com/at-wat/neonavigation/issues/118>)
  * Add abort (#116 <https://github.com/at-wat/neonavigation/issues/116>)
  * planner_cspace: increase navigation test time limit (#98 <https://github.com/at-wat/neonavigation/issues/98>)


=== debian/control ===
Source: ros-lunar-planner-cspace
Section: misc
Priority: extra
Maintainer: Atsushi Watanabe <atsushi.w@ieee.org>
Build-Depends: debhelper (>= 9.0.0), ros-lunar-actionlib, ros-lunar-catkin, ros-lunar-costmap-cspace, ros-lunar-costmap-cspace-msgs, ros-lunar-diagnostic-updater, ros-lunar-geometry-msgs, ros-lunar-map-server, ros-lunar-move-base-msgs, ros-lunar-nav-msgs, ros-lunar-neonavigation-common, ros-lunar-planner-cspace-msgs, ros-lunar-roscpp, ros-lunar-roslint, ros-lunar-rostest, ros-lunar-rosunit, ros-lunar-sensor-msgs, ros-lunar-std-srvs, ros-lunar-tf2, ros-lunar-tf2-geometry-msgs, ros-lunar-tf2-ros, ros-lunar-trajectory-msgs, ros-lunar-trajectory-tracker, ros-lunar-trajectory-tracker-msgs
Homepage: 
Standards-Version: 3.9.2

Package: ros-lunar-planner-cspace
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-lunar-actionlib, ros-lunar-costmap-cspace, ros-lunar-costmap-cspace-msgs, ros-lunar-diagnostic-updater, ros-lunar-geometry-msgs, ros-lunar-move-base-msgs, ros-lunar-nav-msgs, ros-lunar-neonavigation-common, ros-lunar-planner-cspace-msgs, ros-lunar-roscpp, ros-lunar-sensor-msgs, ros-lunar-std-srvs, ros-lunar-tf2, ros-lunar-tf2-geometry-msgs, ros-lunar-tf2-ros, ros-lunar-trajectory-msgs, ros-lunar-trajectory-tracker-msgs
Description: 3-dof configuration space planner for mobile robot

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/lunar/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/lunar" \
		-DCMAKE_PREFIX_PATH="/opt/ros/lunar"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-lunar-planner-cspace//opt/ros/lunar/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_install
